Summary: Thread-safe hash algorithms library
Name: mhash
Version: 0.9.9
Release: 2.3
License: LGPL
Group: System Environment/Libraries
Source: http://download.sourceforge.net/mhash/mhash-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Provides: libmhash = %{version}-%{release}

%description
Mhash is a free library which provides a uniform interface to a
large number of hash algorithms.

These algorithms can be used to compute checksums, message digests,
and other signatures. The HMAC support implements the basics for
message authentication, following RFC 2104. In the later versions
some key generation algorithms, which use hash algorithms, have been
added. Currently, the library supports the algorithms: ADLER32, GOST,
HAVAL256, HAVAL224, HAVAL192, HAVAL160, HAVAL128, MD5, MD4, MD2,
RIPEMD128/160/256/320, TIGER, TIGER160, TIGER128, SHA1/224/256/384/512,
Whirlpool, SNEFRU128/256, CRC32B and CRC32 checksums.


%package -n %{name}-devel
Summary: Header files and libraries for developing apps which use mhash
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libmhash-devel = %{version}-%{release}

%description -n %{name}-devel
This package contains the header files and libraries needed to
develop programs that use the mhash library.


%prep
%setup -q


%build
%configure --enable-shared %{?_with_static: --enable-static} %{!?_with_static: --disable-static}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

# Eliminate some autoheader definitions which should not enter a public API.
# There are more which wait for a fix upstream.
sed -i 's!\(#define \(PACKAGE\|VERSION \).*\)!/* \1 */!g' ${RPM_BUILD_ROOT}%{_includedir}/mutils/mhash_config.h


%check
make check


%post -n %{name} -p /sbin/ldconfig


%postun -n %{name} -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{name}
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*


%files -n %{name}-devel
%defattr(-,root,root,-)
%doc ChangeLog ./doc/*.c ./doc/skid2-authentication
%{_includedir}/*.h
%{_includedir}/mutils/
%{?_with_static: %{_libdir}/*.a}
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_mandir}/man3/*


%changelog
* Fri Apr  6 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.9-1
- Update to 0.9.9 (bug-fixes).

* Mon Feb 19 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.8-1
- Update to 0.9.8 (includes the patch).

* Fri Feb  2 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.7.1-4
- Fix big-endian memory leaks in haval.c
- Patch is sufficient to pass test-suite on ppc. Fixes #226987.

* Fri Feb  2 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.7.1-2
- Add check section.

* Sat Nov 25 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.7.1-1
- Update to 0.9.7.1.

* Mon Aug 28 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.2-5
- rebuilt

* Wed Feb 22 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.2-4
- rebuilt for FC5
- Disable static library.

* Thu May 12 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.2-3
- rebuilt

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.2-2
- rebuilt

* Wed Jan 12 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9.2-1
- Update to 0.9.2.

* Sun Apr 18 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9.1-0.fdr.1
- Update to 0.9.1.
- Add EVR to virtual provides.
- Move some doc files into the main package.

* Tue Aug 12 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.8.18-0.fdr.1
- Initial package.

